%define         _prefix         /usr/local
%define         __spec_install_post /usr/lib/rpm/brp-compress
%define         __spec_install_post /usr/lib/rpm/brp-strip
Summary:        Gyach Enhanced Pyvoice - Yahoo Voice/Cam Client.
Name:		pyvoice-gyach
Version:	1.0.7
Release:	20051111
Source0:	pyvoice-gyach.tar.bz2
Source1: 	%{name}.desktop
Source2:	gyach_enhanced_fonts1.tar.bz2
Source3:	gyach_enhanced_fonts2.tar.bz2
Patch0:		pyconfig.status.patch
Patch1:         pyregistry.c.patch
Patch2:		pymain.c.patch
Patch3:		users.c.patch
Patch4:		Build.patch
Group:	 	Internet
URL: 	 	http://phpaint.sourceforge.net/pyvoicechat/
BuildRoot: 	/var/tmp/%{name}-%{version}-buildroot
Requires:	python pygtk glib2 atk pango gtk2 swig
BuildRequires:	python-devel pygtk-devel swig-devel
BuildRequires:	glib2-devel atk-devel pango-devel gtk2-devel
Copyright: 	GPL

%description
cvs -d:pserver:anonymous@cvs.sf.net:/cvsroot/phpaint co pyvoice-gyach

Gyach Enhanced Pyvoice - Yahoo Voice/Cam chat room irc style client.

%prep
%setup -q -n %{name} -a2 -a3
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4	-p0
find . -type d -name CVS -depth -exec rm -fr {} \;
chmod 644 ttf/*

%build
ln -sf /usr/include/python2*/* pytsp/
cd gyach; config.status
cd src; make; cd webcam; make
cd ../../../pytsp; Build; cd ..
cd gyach/src/plugins; ln -sf /usr/include/xmms/* .; make photos xmms

%install
rm -rf $RPM_BUILD_ROOT
make install
cd gyach/src/webcam; make install; cd -
mkdir -p $RPM_BUILD_ROOT/usr/local/{bin,share}
mkdir -p $RPM_BUILD_ROOT/usr/lib/win32; cp pytsp/codec/{*.acm,*.dll} $RPM_BUILD_ROOT/usr/lib/win32 
mv /usr/local/bin/gyach $RPM_BUILD_ROOT/usr/local/bin
mv /usr/local/share/gyach $RPM_BUILD_ROOT/usr/local/share
cp pytsp/pytspc.so $RPM_BUILD_ROOT/usr/local/share/gyach/pyvoice/_pytsp.so
cp pytsp/pytsp.py $RPM_BUILD_ROOT/usr/local/share/gyach/pyvoice
cp -R gyach/audibles $RPM_BUILD_ROOT/usr/local/share/gyach
cp -R gyach/tuxvironments $RPM_BUILD_ROOT/usr/local/share/gyach
mkdir -p $RPM_BUILD_ROOT/usr/local/share/gyach/plugins
cp gyach/src/plugins/*.so $RPM_BUILD_ROOT/usr/local/share/gyach/plugins
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/gyach
cp ttf/* $RPM_BUILD_ROOT/usr/share/fonts/gyach
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/*
